/****************************************************************************
**
** Copyright (C) 1992-2006 Trolltech AS. All rights reserved.
**
** This file is part of the QtCore module of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

// Data structures
#define QT_NO_QUUID_STRING
#define QT_NO_STL
#define QT_NO_TEXTDATE
#define QT_NO_DATESTRING

// Dialogs
#define QT_NO_COLORDIALOG
#define QT_NO_ERRORMESSAGE
#define QT_NO_FONTDIALOG
#define QT_NO_INPUTDIALOG
#define QT_NO_MESSAGEBOX
#define QT_NO_FILEDIALOG
#define QT_NO_PRINTDIALOG
#define QT_NO_PROGRESSDIALOG
#define QT_NO_TABDIALOG

// File I/O
#define QT_NO_DOM
#define QT_NO_PROCESS
#define QT_NO_TEXTSTREAM
#define QT_NO_SETTINGS
#define QT_NO_LIBRARY

// Fonts
#define QT_NO_FREETYPE

// Images
#define QT_NO_IMAGEFORMATPLUGIN
#define QT_NO_IMAGEFORMAT_BMP
#define QT_NO_IMAGEFORMAT_JPEG
#define QT_NO_IMAGEFORMAT_PNG
#define QT_NO_IMAGEFORMAT_PPM
#define QT_NO_IMAGEFORMAT_XBM
#define QT_NO_IMAGEFORMAT_XPM
#define QT_NO_IMAGE_HEURISTIC_MASK
#define QT_NO_ICON
#define QT_NO_IMAGE_TEXT
#define QT_NO_MOVIE

// Internationalization
#define QT_NO_BIG_CODECS
#define QT_NO_QWS_INPUTMETHODS
#define QT_NO_TEXTCODEC
#define QT_NO_CODECS
#define QT_NO_TEXTCODECPLUGIN
#define QT_NO_TRANSLATION
#define QT_NO_TRANSLATION_UTF8

// ItemViews
#define QT_NO_ITEMVIEWS
#define QT_NO_DIRMODEL
#define QT_NO_LISTVIEW
#define QT_NO_PROXYMODEL
#define QT_NO_STANDARDITEMMODEL
#define QT_NO_STRINGLISTMODEL
#define QT_NO_TABLEVIEW
#define QT_NO_TREEVIEW

// Kernel
#define QT_NO_ACTION
#define QT_NO_CLIPBOARD
#define QT_NO_CURSOR
#define QT_NO_DRAGANDDROP
#define QT_NO_EFFECTS
#define QT_NO_PROPERTIES
#define QT_NO_SESSIONMANAGER
#define QT_NO_SHORTCUT
#define QT_NO_SOUND
#define QT_NO_THREAD
#define QT_NO_WHEELEVENT

// Networking
#define QT_NO_COP
#define QT_NO_HOSTINFO
#define QT_NO_HTTP
#define QT_NO_NETWORKPROXY
#define QT_NO_SOCKS5
#define QT_NO_UDPSOCKET
#define QT_NO_URLINFO
#define QT_NO_FTP

// Painting
#define QT_NO_COLORNAMES
#define QT_NO_DIRECTPAINTER
#define QT_NO_PICTURE
#define QT_NO_PRINTER

// Qt/Embedded-specific
#define QT_NO_QWS_ALPHA_CURSOR
#define QT_NO_QWS_CURSOR
#define QT_NO_QWS_DECORATION_DEFAULT
#define QT_NO_QWS_DECORATION_STYLED
#define QT_NO_QWS_DECORATION_WINDOWS
#define QT_NO_QWS_MANAGER
#define QT_NO_QWS_KEYBOARD
#define QT_NO_QWS_MOUSE
#define QT_NO_QWS_MOUSE_AUTO
#define QT_NO_QWS_MOUSE_MANUAL
#define QT_NO_QWS_MULTIPROCESS
#define QT_NO_QWS_SOUNDSERVER
#define QT_NO_QWS_PROPERTIES

// Styles
#define QT_NO_STYLE_MOTIF
#define QT_NO_STYLE_CDE
#define QT_NO_STYLE_PLASTIQUE
#define QT_NO_STYLE_WINDOWSXP

// Widgets
#define QT_NO_GROUPBOX
#define QT_NO_BUTTONGROUP
#define QT_NO_LCDNUMBER
#define QT_NO_LINEEDIT
#define QT_NO_COMBOBOX
#define QT_NO_SPINBOX
#define QT_NO_DATETIMEEDIT
#define QT_NO_LISTWIDGET
#define QT_NO_MENU
#define QT_NO_MAINWINDOW
#define QT_NO_DOCKWIDGET
#define QT_NO_TOOLBAR
#define QT_NO_MENUBAR
#define QT_NO_WORKSPACE
#define QT_NO_PROGRESSBAR
#define QT_NO_RESIZEHANDLER
#define QT_NO_RUBBERBAND
#define QT_NO_SPLITTER
#define QT_NO_SIGNALMAPPER
#define QT_NO_SIZEGRIP
#define QT_NO_SLIDER
#define QT_NO_DIAL
#define QT_NO_SCROLLBAR
#define QT_NO_SCROLLAREA
#define QT_NO_TEXTEDIT
#define QT_NO_SYNTAXHIGHLIGHTER
#define QT_NO_TEXTBROWSER
#define QT_NO_SPINWIDGET
#define QT_NO_SPLASHSCREEN
#define QT_NO_STACKEDWIDGET
#define QT_NO_TABWIDGET
#define QT_NO_STATUSBAR
#define QT_NO_STATUSTIP
#define QT_NO_TABLEWIDGET
#define QT_NO_TOOLBUTTON
#define QT_NO_TABBAR
#define QT_NO_TOOLBOX
#define QT_NO_WHATSTHIS
#define QT_NO_TOOLTIP
#define QT_NO_TREEWIDGET
#define QT_NO_VALIDATOR
